=== thbook/Makefile ===
all:
	pdftex thbook.tex
	perl ../makefile.pl rm ./thbook.log
