=== thtom/utils/Makefile ===
mktex: mktex.c
	cc mktex.c -g -o mktex `imlib2-config --cflags` `imlib2-config --libs`
