=== debian/changelog ===
therion (0.3.9-2) unstable; urgency=low

  * Fixes for 64-bit machines

 -- Wookey <wookey@debian.org>  Sat, 17 Dec 2005 21:57:25 +0000

therion (0.3.9-1) unstable; urgency=low

  * New upstream release

 -- Wookey <wookey@debian.org>  Sun, 18 Sep 2005 02:20:26 +0100

therion (0.3.6-1) unstable; urgency=low

  * New upstream release
  * Closes: #295740: therion_0.3.5-1_arm: FTBFS: build-dep on virtual
    package makes buildd go screwy

 -- Wookey <wookey@survex.com>  Sun,  6 Feb 2005 02:49:37 +0000

therion (0.3.5-1) unstable; urgency=low

  * New upstream release

 -- Wookey <wookey@survex.com>  Tue, 21 Dec 2004 01:49:47 +0000

therion (0.3.3-2) unstable; urgency=low

  * Included missing dependency on tetex-extra

 -- Wookey <wookey@survex.com>  Wed, 14 Oct 2004 22:49:40 +0100

therion (0.3.3-1) unstable; urgency=low

  * New upstream release

 -- Wookey <wookey@survex.com>  Wed, 15 Sep 2004 22:54:42 +0100

therion (0.3.2-1) unstable; urgency=low

  * New upstream release

 -- Wookey <wookey@survex.com>  Fri, 23 Jul 2004 16:35:48 +0100

therion (0.3.1-1) unstable; urgency=low

  * New upstream release

 -- Wookey <wookey@survex.com>  Tue,  4 May 2004 17:04:37 +0100
