=== debian/control ===
Source: therion
Section: science
Priority: extra
Maintainer: Wookey <wookey@debian.org>
Build-Depends: debhelper (>> 3.0.0), perl (>= 5.5), docbook-to-man, tetex-bin, tcl8.4 | tclsh
Standards-Version: 3.6.1

Package: therion
Architecture: any
Depends: ${shlibs:Depends}, tcl8.4 | wish, tetex-bin, tetex-extra, bwidget
Recommends: pdf-viewer
Suggests: survex-aven 
Description: Cave surveying - 2D and 3D drawing software
 Therion aids the process of drawing up cave surveys (maps). Drawings are done
 over scans and can be distorted to fit the centreline data. Output is in single
 plan or atlas style in PDF files. All data is stored in text files and a Tcl/Tk 
 map editor (xtherion) is provided to aid in the creation of the files. It is 
 compatible with Survex and uses it for the centreline processing. TeX and 
 metapost are used to generate the images.
