## therion 0.3.10

=== Makefile ===
--- 
+++ 
@@ -12,11 +12,11 @@
   thdb2d.o thscrap.o thendscrap.o th2ddataobject.o thdb2dprj.o \
   thdb2dpt.o thdb2dlp.o thdb2dab.o thdb2dji.o thdb2dmi.o thdb2dcp.o \
   thdb2dxm.o thdb2dxs.o thscraplo.o thscraplp.o thscrapen.o \
-  thpoint.o thline.o tharea.o \
+  thpoint.o thline.o tharea.o thlegenddata.o thmpost.o thsymbolsets.o \
   thjoin.o thmap.o thexpmap.o thlayoutln.o \
   thconvert.o thpdf.o thpdfdbg.o thpdfdata.o thtexfonts.o \
   thsymbolset.o thlang.o thmapstat.o thexpdb.o \
-  extern/lxMath.o thcdt.o thdb3d.o thsurface.o thimport.o thsvg.o thepsparse.o \
+  extern/lxMath.o extern/lxFile.o thcdt.o thdb3d.o thsurface.o thimport.o thsvg.o thepsparse.o \
   therion.o
 
 # PLATFORM CONFIG
@@ -62,20 +62,14 @@
 ##LDBFLAGS = $(LDPFLAGS)
 
 # BUILD OXYGEN
-##CCBFLAGS = -O2
-##CXXBFLAGS = -O2
+CCBFLAGS = -O2
+CXXBFLAGS = -O2
+LDBFLAGS = $(LDPFLAGS)
+
+# BUILD RELEASE
+##CCBFLAGS = 
+##CXXBFLAGS = 
 ##LDBFLAGS = $(LDPFLAGS)
-
-# BUILD RELEASE
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))          
-CCBFLAGS = -O0          
-CXXBFLAGS = -O0          
-LDBFLAGS =          
-else          
-CCBFLAGS =          
-CXXBFLAGS =          
-LDBFLAGS =          
-endif    
 
 # BUILD DEBUG
 ##CCBFLAGS = -ggdb
@@ -159,17 +153,18 @@
 	perl makefile.pl rm -q therion ./xtherion/xtherion ./xtherion/xtherion.tcl therion.exe *~ *.log *.o thchencdata/*~
 	perl makefile.pl rm -q xtherion/*~ .xth_thconfig_xth xtherion/screendump thlang/*~
 	perl makefile.pl rm -q extern/*.o extern/*~
+	perl makefile.pl rm -q symbols.html
 	perl makefile.pl rm -q tri/*.o tri/*~
 	perl makefile.pl rm -q tests/*~
 	perl makefile.pl rm -q tex/*~
 	perl makefile.pl rm -q mpost/*~
-	perl makefile.pl rm -q core
+	perl makefile.pl rm -q core symbols.xhtml
 	perl makefile.pl rm -q data.3d data.svx data.pos data.pts data.err data.plt
-	perl makefile.pl rm -q cave.3d cave.thm cave.pdf cave.sql cave.svg therion.tcl cave_a.pdf cave_m.pdf cave.vrml cave.wrl cave.3dmf cave.svg
+	perl makefile.pl rm -q cave.3d cave.thm cave.pdf cave.sql cave.xhtml therion.tcl cave_a.pdf cave_m.pdf cave.vrml cave.wrl cave.3dmf cave.svg cave.tlx
 	perl makefile.pl rm -q ./thbook/*~ ./thbook/thbook.log ./thbook/thbook.pdf ./lib/*~ ./mpost/*~ ./tex/*~
 	perl makefile.pl rm -q ./thtom/linux/Tom0.2/*.so ./thtom/linux/Tom0.2/*.o ./thtom/linux/Tom0.2/tom ./thtom/linux/Tom0.2/stom
 	perl makefile.pl rm -q ./thtom/win/Tom0.2/*.dll ./thtom/win/Tom0.2/*.o ./thtom/win/Tom0.2/tom.exe ./thtom/win/Tom0.2/stom.exe
-	perl makefile.pl rmdir -q doc thTMPDIR
+	perl makefile.pl rmdir -q doc thTMPDIR symbols
 
 thmpost.h: mpost/*.mp
 	make -C ./mpost
@@ -220,16 +215,16 @@
 th2ddataobject.o: th2ddataobject.cxx th2ddataobject.h thdataobject.h \
   thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
   thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
-  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thdb2dpt.h \
-  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
-  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
+  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thlegenddata.h \
+  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
+  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
   thexception.h thsymbolset.h thsymbolsetlist.h thchenc.h thchencdata.h
 tharea.o: tharea.cxx tharea.h th2ddataobject.h thdataobject.h \
   thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
   thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
-  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thdb2dpt.h \
-  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
-  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
+  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thlegenddata.h \
+  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
+  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
   thexception.h thchenc.h thchencdata.h thexpmap.h thexport.h \
   thsymbolset.h thsymbolsetlist.h thlayout.h thlocale.h thlang.h \
   thlangdata.h thline.h
@@ -241,75 +236,75 @@
 thchencdata.o: thchencdata.cxx
 thcmdline.o: thcmdline.cxx thcmdline.h therion.h thlogfile.h thbuffer.h \
   thconfig.h thmbuffer.h thinput.h thparse.h thexporter.h thexport.h \
-  thobjectsrc.h thselector.h extern/getopt.h thtmpdir.h
+  thobjectsrc.h thselector.h thtmpdir.h extern/getopt.h
 thconfig.o: thconfig.cxx thconfig.h thbuffer.h thmbuffer.h thinput.h \
   thparse.h thexporter.h thexport.h thobjectsrc.h thselector.h therion.h \
   thchenc.h thchencdata.h thexception.h thdatabase.h thdataobject.h \
   thperson.h thdate.h thdataleg.h thobjectname.h thinfnan.h thdb1d.h \
-  thobjectid.h thdb3d.h thdb2d.h thdb2dprj.h thmapstat.h thdb2dpt.h \
-  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
-  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
+  thobjectid.h thdb3d.h thdb2d.h thdb2dprj.h thmapstat.h thlegenddata.h \
+  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
+  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
   thdatareader.h
 thconvert.o: thconvert.cxx thpdfdbg.h thexception.h therion.h thbuffer.h \
   thpdfdata.h thepsparse.h thtexfonts.h
 thdatabase.o: thdatabase.cxx thdatabase.h thdataobject.h thperson.h \
   thparse.h thbuffer.h thmbuffer.h thdate.h thdataleg.h thobjectname.h \
   therion.h thobjectsrc.h thinfnan.h thdb1d.h thobjectid.h thdb3d.h \
-  thdb2d.h thdb2dprj.h thmapstat.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
-  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
-  thlayoutln.h thscrapen.h thscraplp.h thsurvey.h thtfpwf.h thendsurvey.h \
-  thexception.h thdata.h thtfangle.h thtf.h thtflength.h thcmdline.h \
-  thdatastation.h thgrade.h thlayout.h thsymbolset.h thsymbolsetlist.h \
-  thlocale.h thscrap.h th2ddataobject.h thpoint.h thline.h tharea.h \
-  thjoin.h thmap.h thimport.h thsurface.h thendscrap.h
+  thdb2d.h thdb2dprj.h thmapstat.h thlegenddata.h thdb2dpt.h thdb2dlp.h \
+  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
+  thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thsurvey.h thtfpwf.h \
+  thendsurvey.h thexception.h thdata.h thtfangle.h thtf.h thtflength.h \
+  thcmdline.h thdatastation.h thgrade.h thlayout.h thsymbolset.h \
+  thsymbolsetlist.h thlocale.h thscrap.h th2ddataobject.h thpoint.h \
+  thline.h tharea.h thjoin.h thmap.h thimport.h thsurface.h thendscrap.h
 thdata.o: thdata.cxx thdata.h thdataleg.h thparse.h thbuffer.h \
   thmbuffer.h thobjectname.h therion.h thobjectsrc.h thinfnan.h \
   thdataobject.h thdatabase.h thdb1d.h thobjectid.h thdb3d.h thdb2d.h \
-  thdb2dprj.h thmapstat.h thdate.h thperson.h thdb2dpt.h thdb2dlp.h \
-  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
-  thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thtfangle.h thtf.h \
-  thtflength.h thtfpwf.h thexception.h thchenc.h thchencdata.h thsurvey.h \
-  thgrade.h thdatareader.h thinput.h
+  thdb2dprj.h thmapstat.h thdate.h thperson.h thlegenddata.h thdb2dpt.h \
+  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
+  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thtfangle.h \
+  thtf.h thtflength.h thtfpwf.h thexception.h thchenc.h thchencdata.h \
+  thsurvey.h thgrade.h thdatareader.h thinput.h
 thdataleg.o: thdataleg.cxx thdataleg.h thparse.h thbuffer.h thmbuffer.h \
   thobjectname.h therion.h thobjectsrc.h thinfnan.h
 thdataobject.o: thdataobject.cxx thdataobject.h thdatabase.h thmbuffer.h \
   thbuffer.h thdb1d.h thobjectid.h thinfnan.h thdataleg.h thparse.h \
   thobjectname.h therion.h thobjectsrc.h thdb3d.h thdb2d.h thdb2dprj.h \
-  thmapstat.h thdate.h thperson.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
-  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
-  thlayoutln.h thscrapen.h thscraplp.h thexception.h thchenc.h \
-  thchencdata.h thsurvey.h thtfpwf.h
+  thmapstat.h thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h \
+  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
+  thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thexception.h \
+  thchenc.h thchencdata.h thsurvey.h thtfpwf.h
 thdatareader.o: thdatareader.cxx thdatareader.h thdatabase.h \
   thdataobject.h thperson.h thparse.h thbuffer.h thmbuffer.h thdate.h \
   thdataleg.h thobjectname.h therion.h thobjectsrc.h thinfnan.h thdb1d.h \
-  thobjectid.h thdb3d.h thdb2d.h thdb2dprj.h thmapstat.h thdb2dpt.h \
-  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
-  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thinput.h \
-  thexception.h
+  thobjectid.h thdb3d.h thdb2d.h thdb2dprj.h thmapstat.h thlegenddata.h \
+  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
+  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
+  thinput.h thexception.h
 thdatastation.o: thdatastation.cxx thdatastation.h thdataobject.h \
   thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
   thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
-  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thdb2dpt.h \
-  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
-  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
+  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thlegenddata.h \
+  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
+  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
   thexception.h thchenc.h thchencdata.h
 thdate.o: thdate.cxx thdate.h thparse.h thbuffer.h thmbuffer.h \
   thexception.h therion.h
 thdb1d.o: thdb1d.cxx thdb1d.h thobjectid.h thinfnan.h thdataleg.h \
   thparse.h thbuffer.h thmbuffer.h thobjectname.h therion.h thobjectsrc.h \
   thdb3d.h thsurvey.h thdataobject.h thdatabase.h thdb2d.h thdb2dprj.h \
-  thmapstat.h thdate.h thperson.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
-  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
-  thlayoutln.h thscrapen.h thscraplp.h thtfpwf.h thsvxctrl.h \
+  thmapstat.h thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h \
+  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
+  thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thtfpwf.h thsvxctrl.h \
   thexception.h thdata.h thtfangle.h thtf.h thtflength.h thlogfile.h \
   thsurface.h thlocale.h thinit.h thinput.h extern/lxMath.h
 thdb2d00.o: thdb2d00.cxx thdb2d.h thinfnan.h thdb2dprj.h thparse.h \
-  thbuffer.h thmbuffer.h thmapstat.h thdate.h thperson.h thdb2dpt.h \
-  thdb2dlp.h thdb2dab.h thobjectname.h therion.h thobjectsrc.h thdb2dji.h \
-  thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h \
-  thscrapen.h thscraplp.h thdb1d.h thobjectid.h thdataleg.h thdb3d.h \
-  thexception.h thdatabase.h thdataobject.h thtfangle.h thtf.h tharea.h \
-  th2ddataobject.h thmap.h thjoin.h thpoint.h thline.h thscrap.h \
+  thbuffer.h thmbuffer.h thmapstat.h thdate.h thperson.h thlegenddata.h \
+  thdb2dpt.h thdb2dlp.h thdb2dab.h thobjectname.h therion.h thobjectsrc.h \
+  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
+  thlayoutln.h thscrapen.h thscraplp.h thdb1d.h thobjectid.h thdataleg.h \
+  thdb3d.h thexception.h thdatabase.h thdataobject.h thtfangle.h thtf.h \
+  tharea.h th2ddataobject.h thmap.h thjoin.h thpoint.h thline.h thscrap.h \
   thsurvey.h thtfpwf.h thlogfile.h thlayout.h thsymbolset.h \
   thsymbolsetlist.h thlocale.h thconfig.h thinput.h thexporter.h \
   thexport.h thselector.h
@@ -317,4 +312,3 @@
   thobjectsrc.h
 thdb2dcp.o: thdb2dcp.cxx thdb2dcp.h thdb2dpt.h
 thdb2d.o: thdb2d.cxx thdb2d.h thinfnan.h thdb2dprj.h thparse.h thbuffer.h \
-  thmbuffer.h thmapstat.h thdate.h thperson.h thdb2dpt.h thdb2dlp.h \
